package com.fidms.web.domain;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 流场输出对象 bz_flow_field_output_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class FlowFieldOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /**对应流场输入编号*/
    @Excel(name = "对应流场输入编号")
    private Long flowFieldInputID;

    /** 是否为结构网格 */
    @Excel(name = "是否为结构网格")
    private Boolean isStructureGrid;

    /** 网格数 */
    @Excel(name = "网格数")
    private BigDecimal gridNumber;

    /** 迭代步数*/
    @Excel(name = "迭代步数")
    private BigDecimal iterationSteps;

    /** cas文件输出 */
    @Excel(name = "cas文件输出")
    private String casOutputFile;

    /** cas文件输出路径 */
    @Excel(name = "cas文件输出路径")
    private String casOutputFilePath;

    /** dat文件输出 */
    @Excel(name = "dat文件输出")
    private String datOutputFile;

    /** dat文件输出路径 */
    @Excel(name = "dat文件输出路径")
    private String datOutputFilePath;

    /** other文件输出 */
    @Excel(name = "other文件输出")
    private String otherOutputFile;

    /** other文件输出路径 */
    @Excel(name = "other文件输出路径")
    private String otherOutputFilePath;

    /**表面温度分布图*/
    @Excel(name="表面温度分布图")
    private String temperatureImage;

    /**表面温度分布图路径*/
    @Excel(name="表面温度分布图路径")
    private String temperatureImagePath;

    /**表面速度分布图*/
    @Excel(name="表面速度分布图")
    private String velocityImage;

    /**表面速度分布图路径*/
    @Excel(name="表面速度分布图路径")
    private String velocityImagePath;

    /**表面压力分布图*/
    @Excel(name="表面压力分布图")
    private String pressureImage;

    /**表面压力分布图路径*/
    @Excel(name="表面压力分布图路径")
    private String pressureImagePath;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFlowFieldInputID(Long flowFieldInputID){this.flowFieldInputID=flowFieldInputID;}
    public Long getFlowFieldInputID(){return flowFieldInputID;}

    public void setIsStructureGrid(Boolean isStructureGrid)
    {
        this.isStructureGrid = isStructureGrid;
    }

    public Boolean getIsStructureGrid()
    {
        return isStructureGrid;
    }

    public void setGridNumber(BigDecimal gridNumber)
    {
        this.gridNumber = gridNumber;
    }

    public BigDecimal getGridNumber()
    {
        return gridNumber;
    }

    public void setIterationSteps(BigDecimal iterationSteps){this.iterationSteps=iterationSteps;}
    public BigDecimal getIterationSteps(){return iterationSteps;}
    public void setCasOutputFile(String casOutputFile)
    {
        this.casOutputFile = casOutputFile;
    }

    public String getCasOutputFile()
    {
        return casOutputFile;
    }
    public void setCasOutputFilePath(String casOutputFilePath)
    {
        this.casOutputFilePath = casOutputFilePath;
    }

    public String getCasOutputFilePath()
    {
        return casOutputFilePath;
    }
    public void setDatOutputFile(String datOutputFile)
    {
        this.datOutputFile = datOutputFile;
    }

    public String getDatOutputFile()
    {
        return datOutputFile;
    }
    public void setDatOutputFilePath(String datOutputFilePath)
    {
        this.datOutputFilePath = datOutputFilePath;
    }

    public String getDatOutputFilePath()
    {
        return datOutputFilePath;
    }
    public void setOtherOutputFile(String otherOutputFile){this.otherOutputFile=otherOutputFile;}
    public String getOtherOutputFile(){return otherOutputFile;}
    public void setOtherOutputFilePath(String otherOutputFilePath){this.otherOutputFilePath=otherOutputFilePath;}
    public String getOtherOutputFilePath(){return otherOutputFilePath;}


    public void setTemperatureImage(String temperatureImg){this.temperatureImage=temperatureImg;}
    public String getTemperatureImage(){return temperatureImage;}

    public void setTemperatureImagePath(String temperatureImgPath){this.temperatureImagePath=temperatureImgPath;}
    public String getTemperatureImagePath(){return temperatureImagePath;}

    public void setVelocityImage(String velocityImg){this.velocityImage=velocityImg;}
    public String getVelocityImage(){return velocityImage;}

    public  void setVelocityImagePath(String velocityImgPath){this.velocityImagePath=velocityImgPath;}
    public String getVelocityImagePath(){return velocityImagePath;}

    public void setPressureImage(String pressureImg){this.pressureImage=pressureImg;}
    public String getPressureImage(){return pressureImage;}

    public void setPressureImagePath(String pressureImgPath){this.velocityImagePath=pressureImgPath;}
    public String getPressureImagePath(){return pressureImagePath;}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("flowFieldInputID",getFlowFieldInputID())
            .append("isStructureGrid", getIsStructureGrid())
            .append("gridNumber", getGridNumber())
            .append("IterationSteps",getIterationSteps())
            .append("casOutputFile", getCasOutputFile())
            .append("casOutputFilePath", getCasOutputFilePath())
            .append("datOutputFile",getDatOutputFile())
            .append("datOutputFilePath",getDatOutputFilePath())
            .append("otherOutputFile",getOtherOutputFile())
            .append("otherOutputFilePath",getDatOutputFilePath())
            .append("temperatureImage",getTemperatureImage())
            .append("temperatureImagePath",getTemperatureImagePath())
            .append("velocityImage",getVelocityImage())
            .append("velocityImagePath",getVelocityImagePath())
            .append("pressureImage",getPressureImage())
            .append("pressureImagePath",getPressureImagePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
